<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
    integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
<div  class="background-insa" >
    <div class="show-hide-message pt-3" *ngIf="errors.length > 0">
        <div *ngFor="let error of errors"class="alert alert-danger alert-dismissible fade show" role="alert">
            <strong>Pas trop vite!</strong> {{error.text}}.
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
    </div>
    <!-- <div class="cont">
        <h1 class="display-4">Bienvenue, </h1>
        <p class="lead"><strong>sur le site Lost'n Found qui recense les objets trouvés sur le campus de l'INSA de
                Lyon</strong></p>
    </div> -->
    <div class="row">
        <div class="col-sm-5 mx-auto">
            <div class="card mt-4 text-center">
                <div class="card-header py-1">
                    <h2>Connectez-vous</h2>
                </div>
                <!-- <img src="https://lh3.googleusercontent.com/K6Q6PqqO8sYQGVFAPNwh9gqSA7WoiWxDGKGBijYN6oYtnHmRxXQKXSo2AtmS5iciHutrTxDTg0XucgT-Tm9lm_QhXVC9u6Q0C5qNs-wfPBag3sOAGi76ouPBs8olErVZLX62jfJK2VzQA6edR1KPW1izxM_6WWhmDI9VIge7JLMfZoQNu3MIK5x7yHfibX86ksRl5yW2NlbC5x3-HYuzKQJOwsVZBqVKT2PXEThsIfYGrwNNP2EkCKemXiqHYx1TCoY_e_llnZ_AqK6sxjnTwL0JLHM9bPiWfgnGdFVSTIGQ7F5e3OnKV5vxCoWczT9VMYaRBy21Y8c7Ve9lJfNz_KR0LZfH9EWnGIDKHn8vxCxC8D7y3UZ547KDXKIjitKpePjLUwcswERu4pispZO_sJNQnQwUl1cprGHJ502Ok9NjIZce_cpEPOHt-EVOH-vlo1GLSVXjErC4GgUhikr_-RW-2VQJLzE6Wz7IHKrKJD2-N31SrlXvikVZum05MceLYdrcT8GgW8CF464LExU-ss7fGmPp1r7wub6Do06SrQmf17LhUeafvHby0-VPQMZIaR9oodDh83aXSR3fselFmmCcyc5RJ9-Tqf4C7wNLBy_rfsZSBgvlf6TtxIgPyK_5GmZhGw0b1a-D9QsAap-5ta19-mCfazmX9Ie_R338fj_TlaprTRvf-yXTMOvJ_W7SNp0_8w=w1920-h902-ft"
                class="rounded mx-auto d-block w-25 pt-2" alt="LostAndFound">
             -->
                <div class="card-body pb-0">
                    <form [formGroup]="loginForm" (ngSubmit)="login()" novalidate>
                        <div class="form-row">
                            <div class="form-group col-sm-12  text-left">
                                <label for="inputEmail">Utilisateur</label>
                                <div class="input-group">
                                    <input type="text" class="form-control" placeholder="example.lost-found"
                                        id="inputEmail" formControlName="email" aria-label="Recipient's username"
                                        aria-describedby="basic-addon2"
                                        [ngClass]="{ 'is-invalid': loginForm.controls['email'].invalid && (loginForm.controls['email'].dirty || loginForm.controls['email'].touched)}"
                                        autofocus required>
                                    <!-- <div class="input-group-append">
                                        <span class="input-group-text" id="basic-addon">@insa-lyon.fr</span>
                                        <a tabindex="0" class="btn btn-bleu" role="button" data-toggle="popover"
                                            data-trigger="focus" title="Informations"
                                            data-content="On utilise votre addresse de l'INSA afin de limiter le service au personnel de l'INSA et de préserver la sécurité"><span
                                                class="material-icons align-middle" disabled>error_outline</span></a>
                                    </div> -->
                                </div>
                                <div class="form-control-feedback"
                                    *ngIf="loginForm.controls['email'].invalid && (loginForm.controls['email'].dirty || loginForm.controls['email'].touched)">
                                    <div style="color:red; font-size:small"
                                        *ngIf="loginForm.controls['email'].errors.required">
                                        Utilisateur requis
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="form-group text-left">
                            <label for="inputPassword">Mot de passe</label>
                            <input type="password" formControlName="password" class="form-control"
                                placeholder="Mot de passe"
                                [ngClass]="{ 'is-invalid': loginForm.controls['password'].invalid && (loginForm.controls['password'].dirty || loginForm.controls['password'].touched)}">
                            <div class="form-control-feedback"
                                *ngIf="loginForm.controls['password'].invalid && (loginForm.controls['password'].dirty || loginForm.controls['password'].touched)">
                                <div style="color:red; font-size:small"
                                    *ngIf="loginForm.controls['password'].errors.required">
                                    Mot de passe requis
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <button type="submit" class="btn btn-bleu btn-block"
                                [disabled]="loginForm.pristine || loginForm.invalid">
                                Connexion
                            </button>
                        </div>
                        <div class="form-group text-center">
                            <!-- <p>Vous n'avez pas de compte?
                                <a [routerLink]="['/signup']">Inscrivez-vous</a></p> -->
                            <p>Mot de passe oublié?
                                <a style="color: #007bff; cursor:pointer" data-toggle="modal"
                                    data-target="#exampleModal">Le
                                    récupérer</a>
                            </p>
                        </div>
                    </form>
                </div>
                <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog"
                    aria-labelledby="exampleModalLabel" aria-hidden="true">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="exampleModalLabel">Récupération du mot de passe</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <form>
                                    <div class="form-group">
                                        <label for="recipient-name" class="col-form-label">Adresse mail de
                                            l'INSA:</label>
                                        <input type="text" class="form-control" id="recipient-name">
                                    </div>
                                </form>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                <button type="button" class="btn btn-primary">Récupérer</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>